Subject: Re: [PATCH] gianfar_ptp: use iomem, not ioports resource tree in probe

From: Paul Gortmaker <[email-masked]>
Date: Wed, 24 Oct 2012 15:09:55 -0400

On 12-10-24 01:59 PM, Tabi Timur-B04825 wrote:
> On Wed, Oct 24, 2012 at 10:21 AM, Paul Gortmaker
> <[email-masked]> wrote:
>> From: Wei Yang <[email-masked]>
>>
>> When using a 36 bit dtb file, the driver complains "resource busy".
>>
>> Investigating the source of the message leads one to the
>> gianfar_ptp_probe function.
>>
>> Since the type of the device resource requested in this function
>> is IORESOURCE_MEM, it should use "iomem_resource" instead of
>> "ioports_resource".
> 
> I can't comment on this patch, since I didn't write the driver, but I
> am confused on one thing.  Why is the driver using platform_xxx calls

Even if it makes sense to convert the driver to of_xxx calls,
I think the obvious bug should be fixed as a separate commit,
so that the -stable folks have something to cherry pick.

P.
--

> to get data?  Why isn't it using of_xxx calls to read properties from
> the device tree?  For example, why is it using
> 
> 	etsects->irq = platform_get_irq(dev, 0);
> 
> to get the IRQ?  Shouldn't it do this instead:
> 
> 	etsects->irq = irq_of_parse_and_map(node, 0);
>